package cn.axzo.msg.center.service.dto;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * @author yanglin
 */
@Setter
@Getter
// 不要删除这个注解
@EqualsAndHashCode
public class PeerPerson {

    public static PeerPerson nonPerson() {
        PeerPerson person = new PeerPerson();
        person.setPersonId(0L);
        person.setOuId(0L);
        person.setWorkspaceId(0L);
        return person;
    }

    public static PeerPerson withPersonIdOnly(Long personId) {
        PeerPerson person = new PeerPerson();
        person.setPersonId(personId);
        return person;
    }

    public static PeerPerson newPeerPerson(Long personId, Long ouId, Long workspaceId) {
        PeerPerson person = new PeerPerson();
        person.setPersonId(personId);
        person.setOuId(ouId);
        person.setWorkspaceId(workspaceId);
        return person;
    }

    /**
     * 自然人id
     */
    private Long personId = 0L;

    /**
     * 单位id
     */
    private Long ouId = 0L;

    /**
     * 项目id
     */
    private Long workspaceId = 0L;

}